Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass Class Reference

This compiler pass will resolve config resolver parameters, delimited by $ chars (e.g. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass:

## Public Member Functions
| __construct (DynamicSettingParserInterface $dynamicSettingParser)
| process (ContainerBuilder $container)

## Private Member Functions
| createExpression (array $dynamicSetting)
| Returns the expression object corresponding to passed dynamic setting. More...

## Private Attributes
| $dynamicSettingParser

## Detailed Description

This compiler pass will resolve config resolver parameters, delimited by $ chars (e.g.

$my_parameter$). It will replace those parameters by fake services having the config resolver as factory. The factory method will then return the right value, at runtime.

Supported syntax for parameters: $<paramName>[;<namespace>[;<scope>]]$

See also
  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParserInterface

Definition at line 24 of file ConfigResolverParameterPass.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass::__construct | ( | DynamicSettingParserInterface | $dynamicSettingParser | ) |

Definition at line 29 of file ConfigResolverParameterPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass\$dynamicSettingParser.

## Member Function Documentation

## ◆ createExpression()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass::createExpression | ( | array | $dynamicSetting | ) |
| private

Returns the expression object corresponding to passed dynamic setting.

Parameters

  array | $dynamicSetting | Parsed dynamic setting, as returned by DynamicSettingParser.

Returns
  Expression

Definition at line 133 of file ConfigResolverParameterPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass\process().

## ◆ process()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass::process | ( | ContainerBuilder | $container | ) |

Definition at line 34 of file ConfigResolverParameterPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass\createExpression().

## Member Data Documentation

## ◆ $dynamicSettingParser

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass::$dynamicSettingParser
| private

Definition at line 27 of file ConfigResolverParameterPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\ConfigResolverParameterPass\__construct().

The documentation for this class was generated from the following file:

- ConfigResolverParameterPass.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.